# $EPIC: winnam,v 1.4 2001/07/16 18:57:15 jnelson Exp $
Synopsis:
   $winnam()
   $winnam(<window-name>)
   $winnam(<window-refnum>)

Technical:
   * This function returns the name of a window;
     * If a window name is provided, then the name of that window;
     * If a window refnum is provided, then the name of that window;
     * If no argument is provided, then the name of the current window.
   * If the specified window is invalid (either the name is not in use,
     or the refnum is not in use), the empty string is returned.

Practical:
   There are three useful purposes to this function: to get the name of the
   current window, to get the name of a certain window refnum, or to figure
   out if a window name is in use.

Returns:
   The name for the specified window, or the current window if no argument 
   is given.  The empty string is returned for error.

Examples:
   $winnam()               returns name of the current window.  If the
			   current window does not have a name, then the
			   empty string is returned.
   $winnam(ircII)          would return ircII if there is a window named ircII
			   and would return the empty string if there was no
			   window named "ircII".
   $winnam(5)              would return the name for window refnum 5, if there
			   is a window refnum 5.  It would return the empty 
			   string if window refnum 5 does not exist.

History:
   This function first appeared in ircII-2.2pre1, and did not take an 
   argument.  Support for arguments first appeared in EPIC4pre1.041.

See Also:
   winnum(6)
